Bug 740159 - Python client: pushing with --merge=import does not overwrite the translation on server
Python client: pushing with --merge=import does not overwrite the translation...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.4-RC
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-21 03:03 EDT by Ding-Yi Chen
Modified: 2012-01-03 21:57 EST (History)
3 users (show)

See Also:
Fixed In Version: v1.3.1-22-gab314ce
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 21:57:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-09-21 03:03:25 EDT
Description of problem:
When pushing with --merge=import, the translations on server are not overwritten, just like --merge=auto were passed.

Version-Release number of selected component (if applicable):
1.3.0 and commit b9c55fdf519cfb18b95260b71549c875ad8bfc56

How reproducible:
Always

Steps to Reproduce:
1. Assume AboutFedora, version f13, and zh-CN translation are imported.
2. Login though Web UI
3. Goto Project AboutFedora, version 13, locale zh-CN (or equivalent)
4. Visit Document "About_Fedora"
5. Now message list of "About_Fedora" should be showing, 
   click on "Copy from Source" on row 1, and Save as Approved
6. zanata push --project-type=podir --merge=import --push-trans


Actual results:
After reload, row 1 has not been overwritten by the translation from original project repository.

Expected results:
After reload, row 1 should be overwritten by the translation from original project repository.

Additional info:
maven client pushing with -Dzanata.merge=import works
Comment 1 James Ni 2011-09-30 05:23:36 EDT
I have modified source code and commit it to git-hub, i verify this issue on my side, it works fine. So, please download the latest version of source code on git-hub to verify this issue.
Comment 2 James Ni 2011-09-30 05:30:52 EDT
The commit 8ed38f9 fixed this issue
Comment 3 Ding-Yi Chen 2011-10-06 20:28:09 EDT
VERIFIED with commit ab314cee446132875151823aaf9807c18c564ac2
Comment 4 Sean Flanigan 2011-10-28 04:24:21 EDT
Could you please close this when 1.3.2 is released?

Note You need to log in before you can comment on or make changes to this bug.